.todo-item {
  min-height: 50px;
  padding: 0 5px;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  position: relative;

  & .todo {
    position: relative;
    cursor: pointer;
    font-size: 18px;
    user-select: none;

    & .toggle {
      width: 40px;
      height: auto;
      position: absolute;
      top: 0;
      bottom: 0;
      margin: auto 0;
      border: none;
      outline: none;
      appearance: none;
    }

    & .toggle + label {
      background-image: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2240%22%20height%3D%2240%22%20viewBox%3D%22-10%20-18%20100%20135%22%3E%3Ccircle%20cx%3D%2250%22%20cy%3D%2250%22%20r%3D%2250%22%20fill%3D%22none%22%20stroke%3D%22%23ededed%22%20stroke-width%3D%223%22/%3E%3C/svg%3E");
      background-repeat: no-repeat;
      background-position: center left;
      margin-top: 6px;

    }

    & .toggle.checked + label {
      background-image: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2240%22%20height%3D%2240%22%20viewBox%3D%22-10%20-18%20100%20135%22%3E%3Ccircle%20cx%3D%2250%22%20cy%3D%2250%22%20r%3D%2250%22%20fill%3D%22none%22%20stroke%3D%22%23bddad5%22%20stroke-width%3D%223%22/%3E%3Cpath%20fill%3D%22%235dc2af%22%20d%3D%22M72%2025L42%2071%2027%2056l-4%204%2020%2020%2034-52z%22/%3E%3C/svg%3E");
    }

    & label {
      word-break: break-all;
      padding: 7px 5px 6px 60px;
      display: block;
    }
  }

  .icon-wrapper {
    height: 25px;
    width: 25px;
    font-size: 25px;
    color: white;
    background: white;
    transition: 250ms all ease-in-out;
    margin-top: -5px;

    &:hover {
      transform: scale(1.2, 1.2);
      color: rgba(247, 78, 78);
    }

    &.active {
      color: tomato;
      cursor: pointer;
    }

    &.edit {
      &:hover {
        transform: scale(1.2, 1.2);
        color: rgba(0, 162, 255);
      }

      &.active {
        color: deepskyblue;
        cursor: pointer;
      }
    }
  }

  & .edit-form {
    position: absolute;
    width: 98.5%;
    height: 100%;
    background: white;

    & input {
      height: 92%;
      width: 92%;
      margin-left: 35px;
      font-size: 18px;
      padding-left: 10px;
    }
  }
}
